aboutsummaryrefslogtreecommitdiff
path: root/source/1.0/src/shflags_test_parsing.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source/1.0/src/shflags_test_parsing.sh')
-rwxr-xr-xsource/1.0/src/shflags_test_parsing.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/source/1.0/src/shflags_test_parsing.sh b/source/1.0/src/shflags_test_parsing.sh
index f585e96..9f4ba05 100755
--- a/source/1.0/src/shflags_test_parsing.sh
+++ b/source/1.0/src/shflags_test_parsing.sh
@@ -12,6 +12,12 @@
# TODO(kward): assert on FLAGS errors
# TODO(kward): testNonStandardIFS()
+# exit immediately if a pipeline or subshell exits with a non-zero status.
+#set -e
+
+# treat unset variables as an error
+set -u
+
# load test helpers
. ./shflags_test_helpers